GET
https://api.examplary.ai/exams/{id}/questions/{questionId}/qualityRetrieve the quality score of a question. This is an async endpoint - when called for the first time, it will trigger a quality assessment and return a status of pending. Subsequent calls will return the quality score once available. We recommend polling this endpoint every 5-10 seconds until the score is available.
Path parameters
idstringrequired
Exam ID, e.g. `exam_1234`.
questionIdstringrequired
Question ID, e.g. `question_1234`, or `first` to get the first question.
Responses
200 — Quality score of the specified question.
statusstringrequired
Allowed values:pendingcomplete
checkerVersionnumber
qualityScorenumber
timeTakenMsnumber
totalScorePercentagenumber
criteriaarray object[]
400 — Validation Error
successbooleanrequired
Allowed values:false
errorarray any[]required
dataanyrequired
429 — Rate limit exceeded
Requirements
Rate limit
60 requests per minute per user.
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the exams:read scope to be present.